Subject: bug#33755: closed (Re: bug#33755: error: execlp: No such file or directory from guix environment)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Dec 2018 09:06:02 +0000

Your bug report

#33755: error: execlp: No such file or directory from guix environment

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33755: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33755
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33755: error: execlp: No such file or directory from guix environment
From: Ludovic Courtès <[email-masked]>
To: Timothy Sample <[email-masked]>
Cc: [email-masked], Danny Milosavljevic <[email-masked]>, [email-masked]
Date: Tue, 18 Dec 2018 10:05:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Timothy,

Timothy Sample <[email-masked]> skribis:

> Aha!  I didn’t know about “error-reporting-wrapper”.  I think this makes
> sense.  It fixes the same issue in the container script, too.  I’ve
> attached an updated patch.
>
> I had to modify “error-reporting-wrapper” to deal with the fact that
> “execlp” takes a variable number of arguments.  I tested it and it works
> for the old use-case as well as the new.  On whether or not it works
> stylistically, I defer to you.

I like it.  :-)

> From 428b80973026909c915e1f33d4509e82f66355e3 Mon Sep 17 00:00:00 2001
> From: Timothy Sample <[email-masked]>
> Date: Sun, 16 Dec 2018 23:12:13 -0500
> Subject: [PATCH] ui: Report file names in 'system-error' exceptions from
>  'execlp'.
>
> Fixes <https://bugs.gnu.org/33755>.
>
> * guix/ui.scm (apply-formals): New macro.
> (execlp): New error-reporting wrapper.

Applied, thank you!

Ludo’.

Subject: error: execlp: No such file or directory from guix environment
From: [email-masked]
To: [email-masked]
Date: Fri, 14 Dec 2018 23:09:37 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

Is this a bug?

sdb@antelope ~/src/guix$ guix environment guix -- ad-hoc libgit2 texinfo
guix environment: error: execlp: No such file or directory

I meant to type: 
sdb@antelope ~/src/guix$ guix environment guix --ad-hoc libgit2 texinfo

I would have liked an error saying "error: package ad-hoc not found -
cannot add it to the environment"

-- 
Cheers 
Swedebugia